ALAS-2013-195


Amazon Linux AMI Security Advisory: ALAS-2013-195
Advisory Release Date: 2014-09-15 23:07 Pacific
Severity: Medium
References: CVE-2013-1821 

Issue Overview:

lib/rexml/text.rb in the REXML parser in Ruby before 1.9.3-p392 allows remote attackers to cause a denial of service (memory consumption and crash) via crafted text nodes in an XML document, aka an XML Entity Expansion (XEE) attack.


Affected Packages:

ruby19


Issue Correction:
Run yum update ruby19 to update your system.

New Packages:
i686:
    ruby19-1.9.3.392-29.38.amzn1.i686
    rubygem19-json-1.5.5-29.38.amzn1.i686
    ruby19-devel-1.9.3.392-29.38.amzn1.i686
    ruby19-libs-1.9.3.392-29.38.amzn1.i686
    ruby19-debuginfo-1.9.3.392-29.38.amzn1.i686
    rubygem19-io-console-0.3-29.38.amzn1.i686
    rubygem19-bigdecimal-1.1.0-29.38.amzn1.i686
    ruby19-doc-1.9.3.392-29.38.amzn1.i686

noarch:
    rubygem19-minitest-2.5.1-29.38.amzn1.noarch
    ruby19-irb-1.9.3.392-29.38.amzn1.noarch
    rubygems19-devel-1.8.23-29.38.amzn1.noarch
    rubygem19-rdoc-3.9.5-29.38.amzn1.noarch
    rubygems19-1.8.23-29.38.amzn1.noarch
    rubygem19-rake-0.9.2.2-29.38.amzn1.noarch

src:
    ruby19-1.9.3.392-29.38.amzn1.src

x86_64:
    ruby19-debuginfo-1.9.3.392-29.38.amzn1.x86_64
    ruby19-libs-1.9.3.392-29.38.amzn1.x86_64
    ruby19-devel-1.9.3.392-29.38.amzn1.x86_64
    rubygem19-bigdecimal-1.1.0-29.38.amzn1.x86_64
    ruby19-1.9.3.392-29.38.amzn1.x86_64
    ruby19-doc-1.9.3.392-29.38.amzn1.x86_64
    rubygem19-io-console-0.3-29.38.amzn1.x86_64
    rubygem19-json-1.5.5-29.38.amzn1.x86_64